Hi All,
I have a problems with dynamo script - script is ok, but it works only in active view, but I want to working in all views. Please see below attached:
I know that the problem is with the last node, but I can’t find any node for all views
Take a look here:
Thanks for link but on this topic people create some node by use python
I’m not on this level:) I wonder that I can solve this problem with existing nodes… hopefully
It is sadly not possible. Just copy the Python code and connect nodes like in Graph. It is not so difficult
Somehow we should learn new things
probably you’re right:) I will try to do this:) thanks
I would recommend this other topic though, the first one didn’t work perfectly well. I also posted the file there, so you can download it if you want
Thanks a lot It will be very helpful for me
Hi,
The scripts is OK without the last node (Python Script)
Do you know what is wrong? Unfortunately I don’t know python
Thanks:)
I know… when I want to change FRAGEN for something else it doesn’t work
but I have to change it because I need filtr revit clouds by comments. Do you have some idea how I can solve this problem?
What did you write in your comments? She wrote “Fragen” so as to bring the revision clouds she needs. Soo you should also assign a value and type it there.
No, I wrote Comments and then filter by “Issues” not FRAGEN:) but when node “views.py” has something on list next node like Python Script has a issuse.
Can you use the “List.Flatten” node and connect it again?
Oh yes, now is OK:) thanks a lot now I have new challenge, because I need that in revision cloud change color and line’s weight… in Python Script I have to add another one input
Here is the code
import clr
clr.AddReference("RevitAPI")
from Autodesk.Revit.DB import OverrideGraphicSettings, Color
clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
doc = DocumentManager.Instance.CurrentDBDocument
elements = UnwrapElement(IN[0])
line_s = IN[1]
views = UnwrapElement(IN[2])
rgbcolor=IN[3]
ogs = OverrideGraphicSettings()
ogs.SetProjectionLineWeight(line_s)
ogs = OverrideGraphicSettings()
ogs.SetProjectionLineColor(Color(rgbcolor.Red,rgbcolor.Green,rgbcolor.Blue))
TransactionManager.Instance.EnsureInTransaction(doc)
for i, k in zip(elements,views):
k.SetElementOverrides(i.Id, ogs)
TransactionManager.Instance.TransactionTaskDone()
OUT = "Ok"
Thanks a lot, you’re very smart but now in revit changed only clouds color, I think that color override line weight script. (because when I reverse code - line weight after color in revit changed only clouds line weight)
Did you enable/disable “Show Lineweights” or on keyboard (TL)? It works for me…
Okay I found the error… I copied a code two times
import clr
clr.AddReference("RevitAPI")
from Autodesk.Revit.DB import OverrideGraphicSettings, Color
clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
doc = DocumentManager.Instance.CurrentDBDocument
elements = UnwrapElement(IN[0])
line_s = IN[1]
views = UnwrapElement(IN[2])
rgbcolor=IN[3]
ogs = OverrideGraphicSettings()
ogs.SetProjectionLineWeight(line_s)
ogs.SetProjectionLineColor(Color(rgbcolor.Red,rgbcolor.Green,rgbcolor.Blue))
TransactionManager.Instance.EnsureInTransaction(doc)
for i, k in zip(elements,views):
k.SetElementOverrides(i.Id, ogs)
TransactionManager.Instance.TransactionTaskDone()
OUT = "Task Done"
AWESOME!!! Thanks a lot:)